%define name    zile
%define version 1.7
%define release 0.b3.2mdk
%define Summary Zile Is Lossy Emacs

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        BSD
Group:          Editors
URL:            http://zile.sourceforge.net/
Source0:        %name-%version-b3.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
BuildRequires:  ncurses-devel
BuildRequires:	texinfo


%description
Zile is another Emacs-clone. Zile is a customizable, self-documenting
real-time open-source display editor.

Zile was written to be as similar as possible to Emacs; every Emacs user
should feel at home with Zile. Zile features

    * Small but fast and powerful. It is very useful for small footprint
      installations (like on floppy disk) or quick editing sessions.
    * 8-bit clean. Zile can operate with binary files.
    * Looks like Emacs. Most Zile key sequences and function names are
      identical to Emacs ones.
    * Multi buffer editing w/multi level undo. Zile can open an infinite
      number of files and can record an infinite sequence of undo
      operations.
    * Multi window. Zile can display multiple windows on the screen.
    * Killing, yanking and registers. The typical killing, yanking and
      register features of Emacs are available under Zile.
    * Minibuffer completion. Zile can complete the user written text.
      This is very useful for M-x commands and for selecting files.
    * Colors. Zile makes use of the color capatibilities of the terminal
      if available.
    * Source highlighting (``C'', ``C++'', and shell scripts). Zile can
      highlight ``C'', ``C++'' source files and shell scripts for
      better reading.
    * Auto fill (word wrap). Zile automatically breaks the lines when
      they become too wide (if the Auto Fill Mode is enabled).



%prep
%setup -q -n zile-1.7-b3

%build
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/usr/share/info
%makeinstall mandir=%buildroot/%_mandir/

%post
%_install_info        %name.info.*

%preun
%_remove_install_info %name.info.*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING INSTALL KNOWNBUGS HISTORY NEWS README TODO
%_datadir/%name
%_mandir/man1/%name.1.*
%_infodir/%name.info.*
%_infodir/%{name}rc.texi.*

%changelog
* Thu Sep 02 2004 Franck Villaume <fvill@freesurf.fr> 1.7-0.b3.2mdk
- fix BuildRequires

* Thu Aug 03 2004 Franck Villaume <fvill@freesurf.fr> 1.7-0.b3.1mdk
- new release 1.7-b3

* Fri Aug 15 2003 Han Boetes <han@linux-mandrake.com> 2.6.1-1mdk
- Initial release for mandrake.

